package org.stm.project.create.service;

import org.stm.project.create.entity.StProjectCheck;
import com.baomidou.mybatisplus.extension.service.IService;
import org.stm.project.create.vo.ProjectImportVo;
import org.stm.project.create.vo.StProjectCheckBatchVo;

/**
 * @Description: st_project_check
 * @Author: jeecg-boot
 * @Date:   2023-08-21
 * @Version: V1.0
 */
public interface IStProjectCheckService extends IService<StProjectCheck> {

    void saveInfo(Integer projectCreId, String collectionNo);

    void batchEditProjectDutyCheck(StProjectCheckBatchVo stProjectCheckBatchVo);

    /**
     * 检查方法配置
     * @param stProjectCheck
     */
    void editProjectCheck(StProjectCheck stProjectCheck);

    void copy(ProjectImportVo projectImportVo);
}
